Package org.kapott.hbci.concurrent

## Interface HBCIPassportFactory

All Known Implementing Classes:
  `DefaultHBCIPassportFactory`

    public interface HBCIPassportFactory

Implementierungen dieser Schnittstelle werden verwendet, um bei der Initialisierung einer `HBCIRunnable` das Passport zu erzeugen.

Author:
  Hendrik Schnepel

### Method Summary

All Methods Instance Methods Abstract Methods
`HBCIPassport` `createPassport()` Gibt ein neues Passport entsprechend der Implementierung zurück.

### Method Detail

#### createPassport

    HBCIPassport createPassport()
                         throws java.lang.Exception

Gibt ein neues Passport entsprechend der Implementierung zurück.

Throws:
  `java.lang.Exception`